<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_Widget_RichTextBlockController extends Engine_Content_Widget_Abstract
{
  public function indexAction()
  {
    $localLanguage = $this->view->locale()->getLocale()->__toString();
    $local_language = explode('_', $localLanguage);
    $column = !empty($local_language[0] && $local_language[0] == 'en') ? 'data' : $localLanguage . '_data';
    $data = $this->_getParam($column, null);
    $this->view->data = (isset($data) && !empty($data)) ? $data : $this->_getParam('data', null);
  }
}
